adinstbpm - Task #18132

Milestone # 17719 (New): Booster operational test of one crate alongside existing BPM system
Task # 17935 (Work in progress): Booster BPM State Machine

bpmcli commands for enabling/disabling state machine

11/07/2017 09:27 AM - John Diamond

Status: Work in progress Start date: 11/07/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 90%
Category: Estimated time: 8.00 hours
Target version: Spent time: 6.00 hours
Description

Should also have a way of running the state machine for n number of machine cycles.

History

#1 - 11/08/2017 11:13 AM - John Diamond
- Status changed from Assigned to Work in progress

- % Done changed from 0 to 50

Implemented bpmcli 'sm_disable' and 'sm_enable' commands.

#2 - 11/09/2017 03:09 PM - John Diamond
- % Done changed from 50 to 90

Implemented options for sm_enable:

e -e tclk_eventl,iclk_event2,... - Specify the machine reset cycles to enable the state machine for

* -n cycles - Enable only for a specific number of machine cycles

Need to do testing when we have a reliable TCLK decoder!!
